//****************************************************************************
// @Module        Ports
// @Filename      IO.C
// @Project       ser_comm
//----------------------------------------------------------------------------
// @Controller    Siemens C164CI-8E
//
// @Compiler      Tasking C166 V5.0
//
// @Codegenerator DAvE 1-1-1
//
// @Description   This file contains all functions that use the general IO ports.
//                
//
//----------------------------------------------------------------------------
// @Date          14.06.2000 23:02:07
//
//****************************************************************************

//****************************************************************************
// @Project Includes
//****************************************************************************

#include "MAIN.H"

// USER CODE BEGIN (IO_General,1)

// USER CODE END


//***************************************************************************
// @Global Variables
//***************************************************************************

// USER CODE BEGIN (IO_General,2)

// USER CODE END


//****************************************************************************
// @Function      void IO_vInit(void)
//
//----------------------------------------------------------------------------
// @Description   This function initializes the IO component. It effects all
//                necessary configurations of the SFR, depending on the selected
//                operating mode.
//                Note:
//                Only those pins that are initialized are used as general IO.
//                If the alternate function of a pin is used, this pin is
//                initialized in the initialization function of the peripheral.
//
//----------------------------------------------------------------------------
// @Returnvalue   none
//
//----------------------------------------------------------------------------
// @Parameters    none
//
//----------------------------------------------------------------------------
// @Date          14.06.2000 23:02:07
//
//****************************************************************************

void IO_vInit(void)
{
  /// P8.0 .. P8.7  switch on standard TTL input levels
  /// P3.8 .. P3.15 switch on standard TTL input levels
  /// P3.0 .. P3.7  switch on standard TTL input levels
  PICON = 0x0000;

  /// no pin of port 0 low is used as general IO

  /// no pin of port 0 high is used as general IO

  //  initializes port 1 low
  /// P1L.0 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.1 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.2 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.3 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.4 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.5 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.6 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  /// P1L.7 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin status is low level
  DP1L  = 0x7F;          // set port direction register
  P1L   = 0x7F;          // set port data register
  

  //  initializes port 1 high
  /// P1H.4 is used as general IO
  /// -  the pin is configured as input
  /// P1H.5 is used as general IO
  /// -  the pin is configured as input
  /// P1H.6 is used as general IO
  /// -  the pin is configured as input
  /// P1H.7 is used as general IO
  /// -  the pin is configured as input
  DP1H  = 0xFF;          // set port direction register
  P1H   = 0xFF;          // set port data register
  
  
  /// no pin of port 3 is used as general IO

  /// no pin of port 4 is used as general IO

  /// P5.0 is used as general input
  /// P5.1 is used as general input
  /// P5.2 is used as general input
  /// P5.3 is used as general input
  /// P5.4 is used as general input
  /// P5.5 is used as general input
  /// P5.6 is used as general input
  /// P5.7 is used as general input

  //  initializes port 8
  /// P8.0 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin is configured to push/pull mode
  /// -  the pin status is low level
  // initializes port 8
  P8   = 0x0000;      // set port data register
  ODP8 = 0x0000;      // set port open drain control register
  DP8  = 0x0001;      // set port direction register


  // USER CODE BEGIN (IO_Init,1)

  // USER CODE END

}


// USER CODE BEGIN (IO_General,3)

// USER CODE END

