//****************************************************************************
// @Module        Main
// @Filename      MAIN.H
// @Project       ser_comm
//----------------------------------------------------------------------------
// @Controller    Siemens C164CI-8E
//
// @Compiler      Tasking C166 V5.0
//
// @Codegenerator DAvE 1-1-1
//
// @Description   This is the include header file for all other modules.
//
//----------------------------------------------------------------------------
// @Date          14.06.2000 23:02:03
//
//****************************************************************************

//****************************************************************************
// @Defines
//****************************************************************************

#define ulong unsigned long
#define uword unsigned int
#define ubyte unsigned char

#define TASKING
#define BFLD   _bfld

// USER CODE BEGIN (MainHeader,0)

// USER CODE END


//****************************************************************************
// Declaration of SFRs
//****************************************************************************

/* A/D Converter */
sfr     ADCIC;
sfr     ADCON;
sfr     ADDAT;
sfr     ADEIC;
esfr    ADDAT2;
sfrbit  ADST;
sfrbit  ADBSY;
sfrbit  ADWR;
sfrbit  ADCIN;
sfrbit  ADCRQ;
sfrbit  ADCIE;
sfrbit  ADCIR;
sfrbit  ADEIE;
sfrbit  ADEIR;

/* External Interrupts */
sfr     CC8IC;
sfr     CC9IC;
sfr     CC10IC;
sfr     CC11IC;
esfr    EXISEL;
esfr    EXICON;

sfrbit  CC8IR;
sfrbit  CC8IE;
sfrbit  CC9IR;
sfrbit  CC9IE;
sfrbit  CC10IR;
sfrbit  CC10IE;
sfrbit  CC11IR;
sfrbit  CC11IE;

/* CAPCOM2  */
sfr     CC16;
esfr    CC16IC;
sfr     CC17;
esfr    CC17IC;
sfr     CC18;
esfr    CC18IC;
sfr     CC19;
esfr    CC19IC;
sfr     CC24;
esfr    CC24IC;
sfr     CC25;
esfr    CC25IC;
sfr     CC26;
esfr    CC26IC;
sfr     CC27;
esfr    CC27IC;

sfr     CCM4;
sfr     CCM6;
esfr    T7;
sfr     T78CON;
esfr    T7IC;
esfr    T7REL;
esfr    T8;
esfr    T8IC;
esfr    T8REL;

esfrbit CC16IR;
esfrbit CC16IE;
esfrbit CC17IR;
esfrbit CC17IE;
esfrbit CC18IR;
esfrbit CC18IE;
esfrbit CC19IR;
esfrbit CC19IE;
esfrbit CC24IR;
esfrbit CC24IE;
esfrbit CC25IR;
esfrbit CC25IE;
esfrbit CC26IR;
esfrbit CC26IE;
esfrbit CC27IR;
esfrbit CC27IE;
sfrbit  ACC16;
sfrbit  ACC17;
sfrbit  ACC18;
sfrbit  ACC19;
sfrbit  ACC24;
sfrbit  ACC25;
sfrbit  ACC26;
sfrbit  ACC27;
esfrbit T7IE;
esfrbit T7IR;
sfrbit  T7M;
sfrbit  T7R;
esfrbit T8IE;
esfrbit T8IR;
sfrbit  T8M;
sfrbit  T8R;

/* CPU */
sfr     CP   ;
sfr     CSP  ;
sfr     DPP0 ;
sfr     DPP1 ;
sfr     DPP2 ;
sfr     DPP3 ;
sfr     MDC  ;
sfr     MDH  ;
sfr     MDL  ;
sfr     ONES ;
sfr     PSW  ;
sfr     SP   ;
sfr     STKOV;
sfr     STKUN;
sfr     SYSCON;
sfr     TFR  ;
sfr     ZEROS;
sfr     BUSCON0;
sfr     BUSCON1;
sfr     BUSCON2;
sfr     BUSCON3;
sfr     BUSCON4;
sfr     ADDRSEL1;
sfr     ADDRSEL2;
sfr     ADDRSEL3;
sfr     ADDRSEL4;
sfrbit  WRCFG;
sfrbit  CLKEN;
sfrbit  BYTDIS;
sfrbit  ROMEN;
sfrbit  SGTEN;
sfrbit  ROMS1;
sfrbit  MDRIU;
sfrbit  N;
sfrbit  C;
sfrbit  V;
sfrbit  Z;
sfrbit  E;
sfrbit  MULIP;
sfrbit  USR0 ;
sfrbit  HLDEN;
sfrbit  IEN  ;
sfrbit  RWDC0;
sfrbit  MTTC0;
sfrbit  ALECTL0;
sfrbit  BUSACT0;
sfrbit  RDYEN0;
sfrbit  RWDC1;
sfrbit  MTTC1;
sfrbit  ALECTL1;
sfrbit  BUSACT1;
sfrbit  RDYEN1;
sfrbit  CSREN1;
sfrbit  CSWEN1;
sfrbit  RWDC2;
sfrbit  MTTC2;
sfrbit  ALECTL2;
sfrbit  BUSACT2;
sfrbit  RDYEN2;
sfrbit  CSREN2;
sfrbit  CSWEN2;
sfrbit  RWDC3;
sfrbit  MTTC3;
sfrbit  ALECTL3;
sfrbit  BUSACT3;
sfrbit  RDYEN3;
sfrbit  CSREN3;
sfrbit  CSWEN3;
sfrbit  RWDC4;
sfrbit  MTTC4;
sfrbit  ALECTL4;
sfrbit  BUSACT4;
sfrbit  RDYEN4;
sfrbit  CSREN4;
sfrbit  CSWEN4;
sfrbit  ILLBUS;
sfrbit  ILLINA;
sfrbit  ILLOPA;
sfrbit  PRTFLT;
sfrbit  UNDOPC;
sfrbit  STKUF;
sfrbit  STKOF;
sfrbit  NMI;

/* PEC */
sfr     PECC0;
sfr     PECC1;
sfr     PECC2;
sfr     PECC3;
sfr     PECC4;
sfr     PECC5;
sfr     PECC6;
sfr     PECC7;


/*
sfr     SRCP0;
sfr     SRCP1;
sfr     SRCP2;
sfr     SRCP3;
sfr     SRCP4;
sfr     SRCP5;
sfr     SRCP6;
sfr     SRCP7;
sfr     DSTP0;
sfr     DSTP1;
sfr     DSTP2;
sfr     DSTP3;
sfr     DSTP4;
sfr     DSTP5;
sfr     DSTP6;
sfr     DSTP7;
*/


/* I/O Ports */
esfr    DP0L;
esfr    DP0H;
esfr    DP1L;
esfr    DP1H;
sfr     DP3;
sfr     DP4;
sfr     DP8;
sfr     P0L;
sfr     P0H;
sfr     P1L;
sfr     P1H;
sfr     P3;
sfr     P4;
sfr     P5;
sfr     P5DIDIS;
sfr     P8;
esfr    ODP3;
esfr    ODP8;
esfr    RP0H;
esfr    PICON;

/* Serial Interface */
sfr     S0BG;
sfr     S0CON;
sfr     S0EIC;
sfr     S0RBUF;
sfr     S0RIC;
sfr     S0TBUF;
sfr     S0TIC;
esfr    S0TBIC;
sfrbit  S0STP;
sfrbit  S0REN;
sfrbit  S0PEN;
sfrbit  S0FEN;
sfrbit  S0OEN;
sfrbit  S0PE;
sfrbit  S0FE;
sfrbit  S0OE;
sfrbit  S0ODD;
sfrbit  S0BRS;
sfrbit  S0LB;
sfrbit  S0R;
sfrbit  S0TIE;
sfrbit  S0TIR;
esfrbit S0TBIE;
esfrbit S0TBIR;
sfrbit  S0RIE;
sfrbit  S0RIR;
sfrbit  S0EIE;
sfrbit  S0EIR;

sfr     SSCTIC;
sfr     SSCRIC;
sfr     SSCEIC;
esfr    SSCTB;
esfr    SSCRB;
esfr    SSCBR;
sfr     SSCCON;
sfrbit  SSCHB;
sfrbit  SSCPH;
sfrbit  SSCPO;
sfrbit  SSCTE;
sfrbit  SSCTEN;
sfrbit  SSCRE;
sfrbit  SSCREN;
sfrbit  SSCPE;
sfrbit  SSCPEN;
sfrbit  SSCBE;
sfrbit  SSCBEN;
sfrbit  SSCBSY;
sfrbit  SSCMS;
sfrbit  SSCEN;
sfrbit  SSCTIR;
sfrbit  SSCTIE;
sfrbit  SSCRIR;
sfrbit  SSCRIE;
sfrbit  SSCEIR;
sfrbit  SSCEIE;

/* General Purpose Timer 1 */
sfr     T2;
sfr     T2CON;
sfr     T2IC;
sfr     T3;
sfr     T3CON;
sfr     T3IC;
sfr     T4;
sfr     T4CON;
sfr     T4IC;
sfrbit  T2R;
sfrbit  T2UD;
sfrbit  T2UDE;
sfrbit  T2IE;
sfrbit  T2IR;
sfrbit  T3R;
sfrbit  T3UD;
sfrbit  T3UDE;
sfrbit  T3OTL;
sfrbit  T3IE;
sfrbit  T3IR;
sfrbit  T4R;
sfrbit  T4UD;
sfrbit  T4UDE;
sfrbit  T4IE;
sfrbit  T4IR;
sfrbit  T3IN;
sfrbit  T3EUD;

/* Watchdog Timer */
sfr     WDT;
sfr     WDTCON;
sfrbit  WDTIN;
sfrbit  WDTR;

/* CAPCOM6  */
sfr     CTCON;
sfr     CC6MCON;
sfr     TRCON;
sfr     CC6MIC;
sfr     CC60;
sfr     CC61;
sfr     CC62;
sfr     CMP13;
esfr    CC6IC;
esfr    CC6EIC;
esfr    T12IC;
esfr    T13IC;
esfr    T12P;
esfr    T13P;
esfr    T12OF;
esfr    CC6MSEL;

sfrbit  CT12R;
sfrbit  CT12RES;
sfrbit  STE12;
sfrbit  ETRP;
sfrbit  CTM;
sfrbit  CT13R;
sfrbit  CT13RES;
sfrbit  STE13;
sfrbit  ECT13O;
sfrbit  CT13P;

sfrbit  CC0I;
sfrbit  COUT0I;
sfrbit  CC1I;
sfrbit  COUT1I;
sfrbit  CC2I;
sfrbit  COUT2I;
sfrbit  COUTXI;
sfrbit  COUT3I;
sfrbit  BCEN;
sfrbit  BCERR;
sfrbit  EBCE;
sfrbit  BCMP;
sfrbit  BCEM;

sfrbit  TREN0;
sfrbit  TREN1;
sfrbit  TREN2;
sfrbit  TREN3;
sfrbit  TREN4;
sfrbit  TREN5;
sfrbit  TRF;
sfrbit  TRPEN;

sfrbit  CC0REN;
sfrbit  CC0FEN;
sfrbit  CC1REN;
sfrbit  CC1FEN;
sfrbit  CC2REN;
sfrbit  CC2FEN;
sfrbit  ECTC;
sfrbit  ECTP;
sfrbit  CC0R;
sfrbit  CC0F;
sfrbit  CC1R;
sfrbit  CC1F;
sfrbit  CC2R;
sfrbit  CC2F;
sfrbit  CT12FC;
sfrbit  CT12FP;

esfrbit T12IE;
esfrbit T12IR;
esfrbit T13IE;
esfrbit T13IR;
esfrbit CC6EIE;
esfrbit CC6EIR;
esfrbit CC6IE;
esfrbit CC6IR;

/* Real Timer Clock */
esfr    T14REL;
esfr    T14;
esfr    RTCL;
esfr    RTCH;

/* Power Managemet */
esfr    SYSCON2;
esfr    SYSCON3;

esfrbit SYSCON2_2;
esfrbit RCS;
esfrbit SCS;
esfrbit CLKLOCK;

esfrbit ADCDIS;
esfrbit ASC0DIS;
esfrbit SSCDIS;
esfrbit GPTDIS;
esfrbit CC2DIS;
esfrbit CC6DIS;
esfrbit CANDIS;
esfrbit XINT0EN;
esfrbit PCDDIS;

/* Interrupt Subnote */
esfr    ISNC;
esfrbit RTCIR;
esfrbit RTCIE;
esfrbit PLLIR;
esfrbit PLLIE;

/* X-Peripherals */
esfr    XP0IC;
esfr    XP3IC;
esfrbit XP0IR;
esfrbit XP0IE;
esfrbit XP3IR;
esfrbit XP3IE;

/* CAN */
//#ifndef REG164CI_NOCAN
_xsfr C1CSR;		/* 0EF00h */
_xsfr C1IR;		/* 0EF02h */
_xsfr C1BTR;		/* 0EF04h */
_xsfr C1GMS;		/* 0EF06h */
_xsfr C1UGML;		/* 0EF08h */
_xsfr C1LGML;		/* 0EF0Ah */
_xsfr C1UMLM;		/* 0EF0Ch */
_xsfr C1LMLM;		/* 0EF0Eh */

_xsfr MCR1;		/* 0EF10h */
_xsfr UAR1;		/* 0EF12h */
_xsfr LAR1;		/* 0EF14h */
_xsfr MCFG1;		/* 0EF16h */

_xsfr MCR2;		/* 0EF20h */
_xsfr UAR2;		/* 0EF22h */
_xsfr LAR2;		/* 0EF24h */
_xsfr MCFG2;		/* 0EF26h */

_xsfr MCR3;		/* 0EF30h */
_xsfr UAR3;		/* 0EF32h */
_xsfr LAR3;		/* 0EF34h */
_xsfr MCFG3;		/* 0EF36h */

_xsfr MCR4;		/* 0EF40h */
_xsfr UAR4;		/* 0EF42h */
_xsfr LAR4;		/* 0EF44h */
_xsfr MCFG4;		/* 0EF46h */

_xsfr MCR5;		/* 0EF50h */
_xsfr UAR5;		/* 0EF52h */
_xsfr LAR5;		/* 0EF54h */
_xsfr MCFG5;		/* 0EF56h */

_xsfr MCR6;		/* 0EF60h */
_xsfr UAR6;		/* 0EF62h */
_xsfr LAR6;		/* 0EF64h */
_xsfr MCFG6;		/* 0EF66h */

_xsfr MCR7;		/* 0EF70h */
_xsfr UAR7;		/* 0EF72h */
_xsfr LAR7;		/* 0EF74h */
_xsfr MCFG7;		/* 0EF76h */

_xsfr MCR8;		/* 0EF80h */
_xsfr UAR8;		/* 0EF82h */
_xsfr LAR8;		/* 0EF84h */
_xsfr MCFG8;		/* 0EF86h */

_xsfr MCR9;		/* 0EF90h */
_xsfr UAR9;		/* 0EF92h */
_xsfr LAR9;		/* 0EF94h */
_xsfr MCFG9;		/* 0EF96h */

_xsfr MCR10;		/* 0EFA0h */
_xsfr UAR10;		/* 0EFA2h */
_xsfr LAR10;		/* 0EFA4h */
_xsfr MCFG10;		/* 0EFA6h */

_xsfr MCR11;		/* 0EFB0h */
_xsfr UAR11;		/* 0EFB2h */
_xsfr LAR11;		/* 0EFB4h */
_xsfr MCFG11;		/* 0EFB6h */

_xsfr MCR12;		/* 0EFC0h */
_xsfr UAR12;		/* 0EFC2h */
_xsfr LAR12;		/* 0EFC4h */
_xsfr MCFG12;		/* 0EFC6h */

_xsfr MCR13;		/* 0EFD0h */
_xsfr UAR13;		/* 0EFD2h */
_xsfr LAR13;		/* 0EFD4h */
_xsfr MCFG13;		/* 0EFD6h */

_xsfr MCR14;		/* 0EFE0h */
_xsfr UAR14;		/* 0EFE2h */
_xsfr LAR14;		/* 0EFE4h */
_xsfr MCFG14;		/* 0EFE6h */

_xsfr MCR15;		/* 0EFF0h */
_xsfr UAR15;		/* 0EFF2h */
_xsfr LAR15;		/* 0EFF4h */
_xsfr MCFG15;		/* 0EFF6h */
//#endif /* REG164CI_NOCAN */


//****************************************************************************
// @Project Includes
//****************************************************************************

#include "C166.H"

#include "IO.H"

// USER CODE BEGIN (MainHeader,1)

// USER CODE END

