

#ifndef REG164CI_INC
#define REG164CI_INC


/* @(#)reg164ci.h	1.11 00/04/06 */

/************************************************************************/
/*                                                                      */
/* Copyright (c) 1997 TASKING Inc.                                      */
/*                                                                      */
/* This SFR header file can be used with c166.                          */
/* It contains all (E)SFR names and BIT names and on-chip               */
/* register definitions for the SAB C164CI, based on                    */
/* the "C164CI Advance Product Description Version 1.1, 02.97",         */
/* the "C167 User's Manual 08.1994 Version 1.0" and                     */
/* the "C164CI-8E Errata Sheet 1.3 03.02.1999" and                      */
/* the "C164CI-8E Errata Sheet 1.4 24.06.1999" and                      */
/* the "C164CI-8E ES-BC Errata Sheet 1.5 24.06.1999" and                */
/* the "C164CI User's Manual 11.1997 Version 1.0" and                   */
/* the "C164CI User's Manual 08.1998 Version 1.1" and                   */
/* the "C164xy-8R Target Specification 1998.07 Version 1.0" and         */
/* the "C164 User's Manual 09.1999 Version 2.0" and                     */
/* the "C164CI Advance Information Data Sheet 04.97" and                */
/* the "C164CI Preliminary Data Sheet 11.97" and                        */
/* the "C164 Preliminary Data Sheet 08.1999" and                        */
/* the "C164CI-8E ES-CA Errata Sheet 06.1999 Version 1.5" and           */
/* the "C164CI-8E ES-CA Errata Sheet 07.1999 Version 1.6" and           */
/* the "C164CI-8E ES-BC Errata Sheet 07.1999 Version 1.6" and           */
/* the "C164CI-8EM Early Problem Notification 10.1998 Version 1.1".     */
/*                                                                      */
/* Changed to conform to the "Specification update 10.97".              */
/*                                                                      */
/* The file is divided into several parts which are all                 */
/* enabled by default. If one of these parts is not                     */
/* needed, the appropriate macro should be defined                      */
/* in your program before including this file.                          */
/*                                                                      */
/* The following 'steering' macros can be used:                         */
/*                                                                      */
/*      REG164CI_NOCPU       omit cpu registers                         */
/*	REG164CI_NOCAPCOM    omit Capture/Compare registers                  */
/*      REG164CI_NOID        omit chip ID registers                     */
/*      REG164CI_NOTIMER     omit timer registers                       */
/*      REG164CI_NOPORT      omit port I/O registers                    */
/*      REG164CI_NOADINT     omit additional interrupt registers        */
/*      REG164CI_NORS232     omit serial I/O registers                  */
/*      REG164CI_NOPEC       omit PEC registers                         */
/*      REG164CI_NOADC       omit A/D Converter registers               */
/*      REG164CI_NOOTP       omit OTP registers                         */
/*      REG164CI_NOCAN       omit CAN-bus registers                     */
/*                                                                      */
/**********************************************************************************/

#ifndef REG164CI_NOCPU
#define XPERSHARE		MON
#define VISIBLE		VIS

_esfr SYSCON2;		/* 0F1D0h */
_esfrbit RCS;		/* SYSCON2.6 */
_esfrbit SCS;		/* SYSCON2.7 */
_esfrbit CLKLOCK;		/* SYSCON2.15 */

_esfr SYSCON3;		/* 0F1D4h */
_esfrbit ADCDIS;		/* SYSCON3.0 */
_esfrbit ASC0DIS;		/* SYSCON3.1 */
_esfrbit SSCDIS;		/* SYSCON3.2 */
_esfrbit GPT1DIS;		/* SYSCON3.3 */
_esfrbit CC2DIS;		/* SYSCON3.7 */
_esfrbit CC6DIS;		/* SYSCON3.8 */
_esfrbit CAN1DIS;		/* SYSCON3.13 */
_esfrbit PCDDIS;		/* SYSCON3.15 */

_esfr EXISEL;		/* 0F1DAh */

_esfr ISNC;		/* 0F1DEh */
_esfrbit RTCIR;		/* ISNC.0 */
_esfrbit RTCIE;		/* ISNC.1 */
_esfrbit PLLIR;		/* ISNC.2 */
_esfrbit PLLIE;		/* ISNC.3 */

_xsfr RSTCON;		/* 0F1E0h */

_sfr TFR;		/* 0FFACh */
_sfrbit ILLBUS;		/* TFR.0 */
_sfrbit ILLINA;		/* TFR.1 */
_sfrbit ILLOPA;		/* TFR.2 */
_sfrbit PRTFLT;		/* TFR.3 */
_sfrbit UNDOPC;		/* TFR.7 */
_sfrbit STKUF;		/* TFR.13 */
_sfrbit STKOF;		/* TFR.14 */
_sfrbit NMI;		/* TFR.15 */

_sfr FOCON;		/* 0FFAAh */
_sfrbit FOTL;		/* FOCON.6 */
_sfrbit FOSS;		/* FOCON.14 */
_sfrbit FOEN;		/* FOCON.15 */
#endif /* REG164CI_NOCPU */

#ifndef REG164CI_NOCPU
_sfr DPP0;		/* 0FE00h */
_sfr DPP1;		/* 0FE02h */
_sfr DPP2;		/* 0FE04h */
_sfr DPP3;		/* 0FE06h */
_sfr CSP;		/* 0FE08h */
_sfr MDH;		/* 0FE0Ch */
_sfr MDL;		/* 0FE0Eh */
_sfr CP;		/* 0FE10h */
_sfr SP;		/* 0FE12h */
_sfr STKOV;		/* 0FE14h */
_sfr STKUN;		/* 0FE16h */
_sfr ADDRSEL1;		/* 0FE18h */
_sfr ADDRSEL2;		/* 0FE1Ah */
_sfr ADDRSEL3;		/* 0FE1Ch */
_sfr ADDRSEL4;		/* 0FE1Eh */

_sfr BUSCON0;		/* 0FF0Ch */
_sfrbit RWDC0;		/* BUSCON0.4 */
_sfrbit MTTC0;		/* BUSCON0.5 */
_sfrbit ALECTL0;		/* BUSCON0.9 */
_sfrbit BUSACT0;		/* BUSCON0.10 */
_sfrbit RDYEN0;		/* BUSCON0.12 */
_sfrbit CSREN0;		/* BUSCON0.14 */
_sfrbit CSWEN0;		/* BUSCON0.15 */

_sfr MDC;		/* 0FF0Eh */
_sfrbit MDRIU;		/* MDC.4 */

_sfr PSW;		/* 0FF10h */
_sfrbit N;		/* PSW.0 */
_sfrbit C;		/* PSW.1 */
_sfrbit V;		/* PSW.2 */
_sfrbit Z;		/* PSW.3 */
_sfrbit E;		/* PSW.4 */
_sfrbit MULIP;		/* PSW.5 */
_sfrbit USR0;		/* PSW.6 */
_sfrbit IEN;		/* PSW.11 */


_sfr SYSCON;		/* 0FF12h */
_sfrbit MON;		/* SYSCON.0 */
_sfrbit VIS;		/* SYSCON.1 */
_sfrbit XPEN;		/* SYSCON.2 */
_sfrbit BDRSTEN;		/* SYSCON.3 */
_sfrbit OWDDIS;		/* SYSCON.4 */
_sfrbit CSCFG;		/* SYSCON.6 */
_sfrbit WRCFG;		/* SYSCON.7 */
_sfrbit CLKEN;		/* SYSCON.8 */
_sfrbit BYTDIS;		/* SYSCON.9 */
_sfrbit ROMEN;		/* SYSCON.10 */
_sfrbit SGTDIS;		/* SYSCON.11 */
_sfrbit ROMS1;		/* SYSCON.12 */

_sfr BUSCON1;		/* 0FF14h */
_sfrbit RWDC1;		/* BUSCON1.4 */
_sfrbit MTTC1;		/* BUSCON1.5 */
_sfrbit ALECTL1;		/* BUSCON1.9 */
_sfrbit BUSACT1;		/* BUSCON1.10 */
_sfrbit RDYEN1;		/* BUSCON1.12 */
_sfrbit CSREN1;		/* BUSCON1.14 */
_sfrbit CSWEN1;		/* BUSCON1.15 */

_sfr BUSCON2;		/* 0FF16h */
_sfrbit RWDC2;		/* BUSCON2.4 */
_sfrbit MTTC2;		/* BUSCON2.5 */
_sfrbit ALECTL2;		/* BUSCON2.9 */
_sfrbit BUSACT2;		/* BUSCON2.10 */
_sfrbit RDYEN2;		/* BUSCON2.12 */
_sfrbit CSREN2;		/* BUSCON2.14 */
_sfrbit CSWEN2;		/* BUSCON2.15 */

_sfr BUSCON3;		/* 0FF18h */
_sfrbit RWDC3;		/* BUSCON3.4 */
_sfrbit MTTC3;		/* BUSCON3.5 */
_sfrbit ALECTL3;		/* BUSCON3.9 */
_sfrbit BUSACT3;		/* BUSCON3.10 */
_sfrbit RDYEN3;		/* BUSCON3.12 */
_sfrbit CSREN3;		/* BUSCON3.14 */
_sfrbit CSWEN3;		/* BUSCON3.15 */

_sfr BUSCON4;		/* 0FF1Ah */
_sfrbit RWDC4;		/* BUSCON4.4 */
_sfrbit MTTC4;		/* BUSCON4.5 */
_sfrbit ALECTL4;		/* BUSCON4.9 */
_sfrbit BUSACT4;		/* BUSCON4.10 */
_sfrbit RDYEN4;		/* BUSCON4.12 */
_sfrbit CSREN4;		/* BUSCON4.14 */
_sfrbit CSWEN4;		/* BUSCON4.15 */

_sfr ZEROS;		/* 0FF1Ch */
_sfr ONES;		/* 0FF1Eh */
#endif /* REG164CI_NOCPU */

#ifndef REG164CI_NOCAPCOM
_esfr T12P;		/* 0F030h */
_esfr T13P;		/* 0F032h */
_esfr T12OF;		/* 0F034h */
_esfr CC6MSEL;		/* 0F036h */
_esfr T7;		/* 0F050h */
_esfr T8;		/* 0F052h */
_esfr T7REL;		/* 0F054h */
_esfr T8REL;		/* 0F056h */

_esfr CC16IC;		/* 0F160h */
_esfrbit CC16IE;		/* CC16IC.6 */
_esfrbit CC16IR;		/* CC16IC.7 */

_esfr CC17IC;		/* 0F162h */
_esfrbit CC17IE;		/* CC17IC.6 */
_esfrbit CC17IR;		/* CC17IC.7 */

_esfr CC18IC;		/* 0F164h */
_esfrbit CC18IE;		/* CC18IC.6 */
_esfrbit CC18IR;		/* CC18IC.7 */

_esfr CC19IC;		/* 0F166h */
_esfrbit CC19IE;		/* CC19IC.6 */
_esfrbit CC19IR;		/* CC19IC.7 */

_esfr CC20IC;		/* 0F168h */
_esfrbit CC20IE;		/* CC20IC.6 */
_esfrbit CC20IR;		/* CC20IC.7 */

_esfr CC21IC;		/* 0F16Ah */
_esfrbit CC21IE;		/* CC21IC.6 */
_esfrbit CC21IR;		/* CC21IC.7 */

_esfr CC22IC;		/* 0F16Ch */
_esfrbit CC22IE;		/* CC22IC.6 */
_esfrbit CC22IR;		/* CC22IC.7 */

_esfr CC23IC;		/* 0F16Eh */
_esfrbit CC23IE;		/* CC23IC.6 */
_esfrbit CC23IR;		/* CC23IC.7 */

_esfr CC24IC;		/* 0F170h */
_esfrbit CC24IE;		/* CC24IC.6 */
_esfrbit CC24IR;		/* CC24IC.7 */

_esfr CC25IC;		/* 0F172h */
_esfrbit CC25IE;		/* CC25IC.6 */
_esfrbit CC25IR;		/* CC25IC.7 */

_esfr CC26IC;		/* 0F174h */
_esfrbit CC26IE;		/* CC26IC.6 */
_esfrbit CC26IR;		/* CC26IC.7 */

_esfr CC27IC;		/* 0F176h */
_esfrbit CC27IE;		/* CC27IC.6 */
_esfrbit CC27IR;		/* CC27IC.7 */

_esfr CC28IC;		/* 0F178h */
_esfrbit CC28IE;		/* CC28IC.6 */
_esfrbit CC28IR;		/* CC28IC.7 */

_esfr CC29IC;		/* 0F184h */
_esfrbit CC29IE;		/* CC29IC.6 */
_esfrbit CC29IR;		/* CC29IC.7 */

_esfr CC30IC;		/* 0F18Ch */
_esfrbit CC30IE;		/* CC30IC.6 */
_esfrbit CC30IR;		/* CC30IC.7 */

_esfr CC31IC;		/* 0F194h */
_esfrbit CC31IE;		/* CC31IC.6 */
_esfrbit CC31IR;		/* CC31IC.7 */

_esfr T7IC;		/* 0F17Ah */
_esfrbit T7IE;		/* T7IC.6 */
_esfrbit T7IR;		/* T7IC.7 */

_esfr T8IC;		/* 0F17Ch */
_esfrbit T8IE;		/* T8IC.6 */
_esfrbit T8IR;		/* T8IC.7 */

_esfr CC6IC;		/* 0F17Eh */
_esfrbit CC6IR;		/* CC6IC.6 */
_esfrbit CC6IE;		/* CC6IC.7 */
#define CC6CIC		CC6IC

_esfr CC6EIC;		/* 0F188h */
_esfrbit CC6EIR;		/* CC6EIC.6 */
_esfrbit CC6EIE;		/* CC6EIC.7 */

_esfr T12IC;		/* 0F190h */
_esfrbit T12IE;		/* T12IC.6 */
_esfrbit T12IR;		/* T12IC.7 */

_esfr T13IC;		/* 0F198h */
_esfrbit T13IE;		/* T13IC.6 */
_esfrbit T13IR;		/* T13IC.7 */

_sfr CC60;		/* 0FE30h */
_sfr CC61;		/* 0FE32h */
_sfr CC62;		/* 0FE34h */
_sfr CMP13;		/* 0FE36h */

_sfr CC16;		/* 0FE60h */
_sfr CC17;		/* 0FE62h */
_sfr CC18;		/* 0FE64h */
_sfr CC19;		/* 0FE66h */
_sfr CC20;		/* 0FE68h */
_sfr CC21;		/* 0FE6Ah */
_sfr CC22;		/* 0FE6Ch */
_sfr CC23;		/* 0FE6Eh */
_sfr CC24;		/* 0FE70h */
_sfr CC25;		/* 0FE72h */
_sfr CC26;		/* 0FE74h */
_sfr CC27;		/* 0FE76h */
_sfr CC28;		/* 0FE78h */
_sfr CC29;		/* 0FE7Ah */
_sfr CC30;		/* 0FE7Ch */
_sfr CC31;		/* 0FE7Eh */

_sfr T78CON;		/* 0FF20h */
_sfrbit T7M;		/* T78CON.3 */
_sfrbit T7R;		/* T78CON.6 */
_sfrbit T8M;		/* T78CON.11 */
_sfrbit T8R;		/* T78CON.14 */

_sfr CCM4;		/* 0FF22h */
_sfrbit ACC16;		/* CCM4.3 */
_sfrbit ACC17;		/* CCM4.7 */
_sfrbit ACC18;		/* CCM4.11 */
_sfrbit ACC19;		/* CCM4.15 */

_sfr CCM5;		/* 0FF24h */
_sfrbit ACC20;		/* CCM4.3 */
_sfrbit ACC21;		/* CCM4.7 */
_sfrbit ACC22;		/* CCM4.11 */
_sfrbit ACC23;		/* CCM4.15 */

_sfr CCM6;		/* 0FF26h */
_sfrbit ACC24;		/* CCM6.3 */
_sfrbit ACC25;		/* CCM6.7 */
_sfrbit ACC26;		/* CCM6.11 */
_sfrbit ACC27;		/* CCM6.15 */

_sfr CCM7;		/* 0FF28h */
_sfrbit ACC28;		/* CCM7.3 */
_sfrbit ACC29;		/* CCM7.7 */
_sfrbit ACC30;		/* CCM7.11 */
_sfrbit ACC31;		/* CCM7.15 */

_sfr CTCON;		/* 0FF30h */
_sfrbit CT12R;		/* CTCON.3 */
_sfrbit CT12RES;		/* CTCON.4 */
_sfrbit STE12;		/* CTCON.5 */
_sfrbit ETRP;		/* CTCON.6 */
_sfrbit CTM;		/* CTCON.7 */
_sfrbit CT13R;		/* CTCON.11 */
_sfrbit CT13RES;		/* CTCON.12 */
_sfrbit STE13;		/* CTCON.13 */
_sfrbit ECT13O;		/* CTCON.14 */
_sfrbit CT13P;		/* CTCON.15 */

_sfr CC6MCON;		/* 0FF32h */
_sfrbit CC0I;		/* CC6MCON.0 */
_sfrbit COUT0I;		/* CC6MCON.1 */
_sfrbit CC1I;		/* CC6MCON.2 */
_sfrbit COUT1I;		/* CC6MCON.3 */
_sfrbit CC2I;		/* CC6MCON.4 */
_sfrbit COUT2I;		/* CC6MCON.5 */
_sfrbit COUTXI;		/* CC6MCON.6 */
_sfrbit COUT3I;		/* CC6MCON.7 */
_sfrbit BCEN;		/* CC6MCON.10 */
_sfrbit BCERR;		/* CC6MCON.11 */
_sfrbit EBCE;		/* CC6MCON.12 */
_sfrbit BCEM;		/* CC6MCON.15 */
/* NOTE: "BCMP" has been renamed to "BCMPOL".                           */
#define BCMPOL		BCEM

_sfr TRCON;		/* 0FF34h */
_sfrbit TREN0;		/* TRCON.8 */
_sfrbit TREN1;		/* TRCON.9 */
_sfrbit TREN2;		/* TRCON.10 */
_sfrbit TREN3;		/* TRCON.11 */
_sfrbit TREN4;		/* TRCON.12 */
_sfrbit TREN5;		/* TRCON.13 */
_sfrbit TRF;		/* TRCON.14 */
_sfrbit TRPEN;		/* TRCON.15 */

_sfr CC6MIC;		/* 0FF36h */
_sfrbit CC0REN;		/* CC6MIC.0 */
_sfrbit CC0FEN;		/* CC6MIC.1 */
_sfrbit CC1REN;		/* CC6MIC.2 */
_sfrbit CC1FEN;		/* CC6MIC.3 */
_sfrbit CC2REN;		/* CC6MIC.4 */
_sfrbit CC2FEN;		/* CC6MIC.5 */
_sfrbit ECTC;		/* CC6MIC.6 */
_sfrbit ECTP;		/* CC6MIC.7 */
_sfrbit CC0R;		/* CC6MIC.8 */
_sfrbit CC0F;		/* CC6MIC.9 */
_sfrbit CC1R;		/* CC6MIC.10 */
_sfrbit CC1F;		/* CC6MIC.11 */
_sfrbit CC2R;		/* CC6MIC.12 */
_sfrbit CC2F;		/* CC6MIC.13 */
_sfrbit CT12FC;		/* CC6MIC.14 */
_sfrbit CT12FP;		/* CC6MIC.15 */

_sfr CC8IC;		/* 0FF88h */
_sfrbit CC8IE;		/* CC8IC.6 */
_sfrbit CC8IR;		/* CC8IC.7 */

_sfr CC9IC;		/* 0FF8Ah */
_sfrbit CC9IE;		/* CC9IC.6 */
_sfrbit CC9IR;		/* CC9IC.7 */

_sfr CC10IC;		/* 0FF8Ch */
_sfrbit CC10IE;		/* CC10IC.6 */
_sfrbit CC10IR;		/* CC10IC.7 */

_sfr CC11IC;		/* 0FF8Eh */
_sfrbit CC11IE;		/* CC11IC.6 */
_sfrbit CC11IR;		/* CC11IC.7 */
#endif /* REG164CI_NOCAPCOM */

#ifndef REG164CI_NOID
_esfr IDPROG;		/* 0F078h */
_esfr IDMEM;		/* 0F07Ah */
_esfr IDCHIP;		/* 0F07Ch */
_esfr IDMANUF;		/* 0F07Eh */
#endif /* REG164CI_NOID */

#ifndef REG164CI_NOTIMER
_esfr T14REL;		/* 0F0D0h */
_esfr T14;		/* 0F0D2h */
_esfr RTCL;		/* 0F0D4h */
_esfr RTCH;		/* 0F0D6h */

_sfr T2;		/* 0FE40h */
_sfr T3;		/* 0FE42h */
_sfr T4;		/* 0FE44h */
_sfr WDT;		/* 0FEAEh */

_sfr T2CON;		/* 0FF40h */
_sfrbit T2R;		/* T2CON.6 */
_sfrbit T2UD;		/* T2CON.7 */
_sfrbit T2UDE;		/* T2CON.8 */

_sfr T3CON;		/* 0FF42h */
_sfrbit T3R;		/* T3CON.6 */
_sfrbit T3UD;		/* T3CON.7 */
_sfrbit T3UDE;		/* T3CON.8 */
_sfrbit T3OTL;		/* T3CON.10 */

_sfr T4CON;		/* 0FF44h */
_sfrbit T4R;		/* T4CON.6 */
_sfrbit T4UD;		/* T4CON.7 */
_sfrbit T4UDE;		/* T4CON.8 */

_sfr T2IC;		/* 0FF60h */
_sfrbit T2IE;		/* T2IC.6 */
_sfrbit T2IR;		/* T2IC.7 */

_sfr T3IC;		/* 0FF62h */
_sfrbit T3IE;		/* T3IC.6 */
_sfrbit T3IR;		/* T3IC.7 */

_sfr T4IC;		/* 0FF64h */
_sfrbit T4IE;		/* T4IC.6 */
_sfrbit T4IR;		/* T4IC.7 */

_sfr WDTCON;		/* 0FFAEh */
_sfrbit WDTIN;		/* WDTCON.0 */
_sfrbit WDTR;		/* WDTCON.1 */
_sfrbit SWR;		/* WDTCON.2 */
_sfrbit SHWR;		/* WDTCON.3 */
_sfrbit LHWR;		/* WDTCON.4 */
_sfrbit WDTPRE;		/* WDTCON.7 */
#endif /* REG164CI_NOTIMER */

#ifndef REG164CI_NOPORT
_esfr POCON0L;		/* 0F080h */
_esfr POCON0H;		/* 0F082h */
_esfr POCON1L;		/* 0F084h */
_esfr POCON1H;		/* 0F086h */
_esfr POCON3;		/* 0F08Ah */
_esfr POCON4;		/* 0F08Ch */
_esfr POCON8;		/* 0F092h */
_esfr POCON20;		/* 0F0AAh */
_esfr PTCR;		/* 0F0AEh */

_esfr DP0L;		/* 0F100h */
_esfr DP0H;		/* 0F102h */
_esfr DP1L;		/* 0F104h */
_esfr DP1H;		/* 0F106h */

_esfr RP0H;		/* 0F108h */
_esfrbit WRC;		/* RP0H.0 */

_esfr PICON;		/* 0F1C4h */
_esfrbit P3LIN;		/* PICON.2 */
_esfrbit P3HIN;		/* PICON.3 */
_esfrbit P8LIN;		/* PICON.7 */

_esfr ODP3;		/* 0F1C6h */
_esfr ODP8;		/* 0F1D6h */

_sfr P0L;		/* 0FF00h */
_sfrbit D0;		/* P0L.0 */
_sfrbit D1;		/* P0L.1 */
_sfrbit D2;		/* P0L.2 */
_sfrbit D3;		/* P0L.3 */
_sfrbit D4;		/* P0L.4 */
_sfrbit D5;		/* P0L.5 */
_sfrbit D6;		/* P0L.6 */
_sfrbit D7;		/* P0L.7 */
#define AD0		D0
#define AD1		D1
#define AD2		D2
#define AD3		D3
#define AD4		D4
#define AD5		D5
#define AD6		D6
#define AD7		D7

_sfr P0H;		/* 0FF02h */
_sfrbit D8;		/* P0H.0 */
_sfrbit D9;		/* P0H.1 */
_sfrbit D10;		/* P0H.2 */
_sfrbit D11;		/* P0H.3 */
_sfrbit D12;		/* P0H.4 */
_sfrbit D13;		/* P0H.5 */
_sfrbit D14;		/* P0H.6 */
_sfrbit D15;		/* P0H.7 */
#define AD8		D8
#define AD9		D9
#define AD10		D10
#define AD11		D11
#define AD12		D12
#define AD13		D13
#define AD14		D14
#define AD15		D15

_sfr P1L;		/* 0FF04h */
_sfrbit CC60IO;		/* P1L.0 */
_sfrbit COUT60;		/* P1L.1 */
_sfrbit CC61IO;		/* P1L.2 */
_sfrbit COUT61;		/* P1L.3 */
_sfrbit CC62IO;		/* P1L.4 */
_sfrbit COUT62;		/* P1L.5 */
_sfrbit COUT63;		/* P1L.6 */
_sfrbit CTRAP;		/* P1L.7 */


_sfr P1H;		/* 0FF06h */
_sfrbit CC6POS0;		/* P1H.0 */
_sfrbit CC6POS1;		/* P1H.1 */
_sfrbit CC6POS2;		/* P1H.2 */
_sfrbit T7IN;		/* P1H.3 */
_sfrbit CC24IO;		/* P1H.4 */
_sfrbit CC25IO;		/* P1H.5 */
_sfrbit CC26IO;		/* P1H.6 */
_sfrbit CC27IO;		/* P1H.7 */
#define EX0IN		CC6POS0
#define EX1IN		CC6POS1
#define EX2IN		CC6POS2
#define EX3IN		T7IN

_sfr P5;		/* 0FFA2h */
_sfrbit AN0;		/* P5.0 */
_sfrbit AN1;		/* P5.1 */
_sfrbit AN2;		/* P5.2 */
_sfrbit AN3;		/* P5.3 */
_sfrbit AN4;		/* P5.4 */
_sfrbit AN5;		/* P5.5 */
_sfrbit AN6;		/* P5.6 */
_sfrbit AN7;		/* P5.7 */
#define T2EUD		AN4
#define T4EUD		AN5
#define T2IN		AN6
#define T4IN		AN7

_sfr P5DIDIS;		/* 0FFA4h */

_sfr P3;		/* 0FFC4h */
_sfrbit T3EUD;		/* P3.4 */
_sfrbit T3IN;		/* P3.6 */
_sfrbit MRST;		/* P3.8 */
_sfrbit MTSR;		/* P3.9 */
_sfrbit TXD0;		/* P3.10 */
_sfrbit RXD0;		/* P3.11 */
_sfrbit BHE;		/* P3.12 */
_sfrbit SCLK;		/* P3.13 */
_sfrbit CLKOUT;		/* P3.15 */
#define WRH		BHE
#define BHEWRH		BHE
#define FOUT		CLKOUT
/* Backwards compatibility values                                       */
#define SSCLK		SCLK
#define SSDI		MRST
#define SSDO		MTSR

_sfr DP3;		/* 0FFC6h */

_sfr P4;		/* 0FFC8h */
_sfrbit A16;		/* P4.0 */
_sfrbit A17;		/* P4.1 */
_sfrbit A18;		/* P4.2 */
_sfrbit A19;		/* P4.3 */
_sfrbit A20;		/* P4.5 */
_sfrbit A21;		/* P4.6 */
#define CS3		A16
#define CS2		A17
#define CS1		A18
#define CS0		A19
#define CAN_RXD		A20
#define CAN_TXD		A21


_sfr DP4;		/* 0FFCAh */

_sfr P8;		/* 0FFD4h */
_sfrbit CC16IO;		/* P8.0 */
_sfrbit CC17IO;		/* P8.1 */
_sfrbit CC18IO;		/* P8.2 */
_sfrbit CC19IO;		/* P8.3 */

_sfr DP8;		/* 0FFD6h */
#endif /* REG164CI_NOPORT */

#ifndef REG164CI_NOADINT
_esfr XP0IC;		/* 0F186h */
_esfrbit XP0IE;		/* XP0IC.6 */
_esfrbit XP0IR;		/* XP0IC.7 */

_esfr XP3IC;		/* 0F19Eh */
_esfrbit XP3IE;		/* XP3IC.6 */
_esfrbit XP3IR;		/* XP3IC.7 */

_esfr EXICON;		/* 0F1C0h */
#endif /* REG164CI_NOADINT */

#ifndef REG164CI_NORS232
_esfr SSCTB;		/* 0F0B0h */
_esfr SSCRB;		/* 0F0B2h */
_esfr SSCBR;		/* 0F0B4h */

_esfr S0TBIC;		/* 0F19Ch */
_esfrbit S0TBIE;		/* S0TBIC.6 */
_esfrbit S0TBIR;		/* S0TBIC.7 */

_sfr S0TBUF;		/* 0FEB0h */
_sfr S0RBUF;		/* 0FEB2h */
_sfr S0BG;		/* 0FEB4h */

_sfr S0TIC;		/* 0FF6Ch */
_sfrbit S0TIE;		/* S0TIC.6 */
_sfrbit S0TIR;		/* S0TIC.7 */

_sfr S0RIC;		/* 0FF6Eh */
_sfrbit S0RIE;		/* S0RIC.6 */
_sfrbit S0RIR;		/* S0RIC.7 */

_sfr S0EIC;		/* 0FF70h */
_sfrbit S0EIE;		/* S0EIC.6 */
_sfrbit S0EIR;		/* S0EIC.7 */

_sfr SSCTIC;		/* 0FF72h */
_sfrbit SSCTIE;		/* SSCTIC.6 */
_sfrbit SSCTIR;		/* SSCTIC.7 */

_sfr SSCRIC;		/* 0FF74h */
_sfrbit SSCRIE;		/* SSCRIC.6 */
_sfrbit SSCRIR;		/* SSCRIC.7 */

_sfr SSCEIC;		/* 0FF76h */
_sfrbit SSCEIE;		/* SSCEIC.6 */
_sfrbit SSCEIR;		/* SSCEIC.7 */

_sfr S0CON;		/* 0FFB0h */
_sfrbit S0STP;		/* S0CON.3 */
_sfrbit S0REN;		/* S0CON.4 */
_sfrbit S0PEN;		/* S0CON.5 */
_sfrbit S0FEN;		/* S0CON.6 */
_sfrbit S0OEN;		/* S0CON.7 */
_sfrbit S0PE;		/* S0CON.8 */
_sfrbit S0FE;		/* S0CON.9 */
_sfrbit S0OE;		/* S0CON.10 */
_sfrbit S0ODD;		/* S0CON.12 */
_sfrbit S0BRS;		/* S0CON.13 */
_sfrbit S0LB;		/* S0CON.14 */
_sfrbit S0R;		/* S0CON.15 */

_sfr SSCCON;		/* 0FFB2h */
_sfrbit SSCHB;		/* SSCCON.4 */
_sfrbit SSCPH;		/* SSCCON.5 */
_sfrbit SSCPO;		/* SSCCON.6 */
_sfrbit SSCTEN;		/* SSCCON.8 */
_sfrbit SSCREN;		/* SSCCON.9 */
_sfrbit SSCPEN;		/* SSCCON.10 */
_sfrbit SSCBEN;		/* SSCCON.11 */
_sfrbit SSCAREN;		/* SSCCON.12 */
_sfrbit SSCMS;		/* SSCCON.14 */
_sfrbit SSCEN;		/* SSCCON.15 */
#define SSCTE		SSCTEN
#define SSCRE		SSCREN
#define SSCPE		SSCPEN
#define SSCBE		SSCBEN
#define SSCBSY		SSCAREN
#endif /* REG164CI_NORS232 */

#ifndef REG164CI_NOPEC
_sfr PECC0;		/* 0FEC0h */
_sfr PECC1;		/* 0FEC2h */
_sfr PECC2;		/* 0FEC4h */
_sfr PECC3;		/* 0FEC6h */
_sfr PECC4;		/* 0FEC8h */
_sfr PECC5;		/* 0FECAh */
_sfr PECC6;		/* 0FECCh */
_sfr PECC7;		/* 0FECEh */

_xsfr SRCP0;		/* 0FCE0h */
_xsfr DSTP0;		/* 0FCE2h */
_xsfr SRCP1;		/* 0FCE4h */
_xsfr DSTP1;		/* 0FCE6h */
_xsfr SRCP2;		/* 0FCE8h */
_xsfr DSTP2;		/* 0FCEAh */
_xsfr SRCP3;		/* 0FCECh */
_xsfr DSTP3;		/* 0FCEEh */
_xsfr SRCP4;		/* 0FCF0h */
_xsfr DSTP4;		/* 0FCF2h */
_xsfr SRCP5;		/* 0FCF4h */
_xsfr DSTP5;		/* 0FCF6h */
_xsfr SRCP6;		/* 0FCF8h */
_xsfr DSTP6;		/* 0FCFAh */
_xsfr SRCP7;		/* 0FCFCh */
_xsfr DSTP7;		/* 0FCFEh */
#endif /* REG164CI_NOPEC */

#ifndef REG164CI_NOADC
_esfr ADDAT2;		/* 0F0A0h */

_sfr ADDAT;		/* 0FEA0h */

_sfr ADCIC;		/* 0FF98h */
_sfrbit ADCIE;		/* ADCIC.6 */
_sfrbit ADCIR;		/* ADCIC.7 */

_sfr ADEIC;		/* 0FF9Ah */
_sfrbit ADEIE;		/* ADEIC.6 */
_sfrbit ADEIR;		/* ADEIC.7 */

_sfr ADCON;		/* 0FFA0h */
_sfrbit ADST;		/* ADCON.7 */
_sfrbit ADBSY;		/* ADCON.8 */
_sfrbit ADWR;		/* ADCON.9 */
_sfrbit ADCIN;		/* ADCON.10 */
_sfrbit ADCRQ;		/* ADCON.11 */
#endif /* REG164CI_NOADC */

#ifndef REG164CI_NOOTP
_xsfr OPCTRL;		/* 0EDC0h */
_xsfr OPAD;		/* 0EDC2h */
_xsfr OPDAT;		/* 0EDC4h */
#endif /* REG164CI_NOOTP */

#ifndef REG164CI_NOCAN
_xsfr C1CSR;		/* 0EF00h */
_xsfr C1IR;		/* 0EF02h */
_xsfr C1BTR;		/* 0EF04h */
_xsfr C1GMS;		/* 0EF06h */
_xsfr C1UGML;		/* 0EF08h */
_xsfr C1LGML;		/* 0EF0Ah */
_xsfr C1UMLM;		/* 0EF0Ch */
_xsfr C1LMLM;		/* 0EF0Eh */

_xsfr MCR1;		/* 0EF10h */
_xsfr UAR1;		/* 0EF12h */
_xsfr LAR1;		/* 0EF14h */
_xsfr MCFG1;		/* 0EF16h */

_xsfr MCR2;		/* 0EF20h */
_xsfr UAR2;		/* 0EF22h */
_xsfr LAR2;		/* 0EF24h */
_xsfr MCFG2;		/* 0EF26h */

_xsfr MCR3;		/* 0EF30h */
_xsfr UAR3;		/* 0EF32h */
_xsfr LAR3;		/* 0EF34h */
_xsfr MCFG3;		/* 0EF36h */

_xsfr MCR4;		/* 0EF40h */
_xsfr UAR4;		/* 0EF42h */
_xsfr LAR4;		/* 0EF44h */
_xsfr MCFG4;		/* 0EF46h */

_xsfr MCR5;		/* 0EF50h */
_xsfr UAR5;		/* 0EF52h */
_xsfr LAR5;		/* 0EF54h */
_xsfr MCFG5;		/* 0EF56h */

_xsfr MCR6;		/* 0EF60h */
_xsfr UAR6;		/* 0EF62h */
_xsfr LAR6;		/* 0EF64h */
_xsfr MCFG6;		/* 0EF66h */

_xsfr MCR7;		/* 0EF70h */
_xsfr UAR7;		/* 0EF72h */
_xsfr LAR7;		/* 0EF74h */
_xsfr MCFG7;		/* 0EF76h */

_xsfr MCR8;		/* 0EF80h */
_xsfr UAR8;		/* 0EF82h */
_xsfr LAR8;		/* 0EF84h */
_xsfr MCFG8;		/* 0EF86h */

_xsfr MCR9;		/* 0EF90h */
_xsfr UAR9;		/* 0EF92h */
_xsfr LAR9;		/* 0EF94h */
_xsfr MCFG9;		/* 0EF96h */

_xsfr MCR10;		/* 0EFA0h */
_xsfr UAR10;		/* 0EFA2h */
_xsfr LAR10;		/* 0EFA4h */
_xsfr MCFG10;		/* 0EFA6h */

_xsfr MCR11;		/* 0EFB0h */
_xsfr UAR11;		/* 0EFB2h */
_xsfr LAR11;		/* 0EFB4h */
_xsfr MCFG11;		/* 0EFB6h */

_xsfr MCR12;		/* 0EFC0h */
_xsfr UAR12;		/* 0EFC2h */
_xsfr LAR12;		/* 0EFC4h */
_xsfr MCFG12;		/* 0EFC6h */

_xsfr MCR13;		/* 0EFD0h */
_xsfr UAR13;		/* 0EFD2h */
_xsfr LAR13;		/* 0EFD4h */
_xsfr MCFG13;		/* 0EFD6h */

_xsfr MCR14;		/* 0EFE0h */
_xsfr UAR14;		/* 0EFE2h */
_xsfr LAR14;		/* 0EFE4h */
_xsfr MCFG14;		/* 0EFE6h */

_xsfr MCR15;		/* 0EFF0h */
_xsfr UAR15;		/* 0EFF2h */
_xsfr LAR15;		/* 0EFF4h */
_xsfr MCFG15;		/* 0EFF6h */
#endif /* REG164CI_NOCAN */


#endif /* REG164CI_INC */
